---
- name: Create servicegroup
  telekom_mms.icinga_director.icinga_servicegroup:
    state: present
    url: "{{ icinga_url }}"
    url_username: "{{ icinga_user }}"
    url_password: "{{ icinga_pass }}"
    object_name: fooservicegroup
    assign_filter: 'host.name="foo"'
- name: Update servicegroup
  telekom_mms.icinga_director.icinga_servicegroup:
    state: present
    url: "{{ icinga_url }}"
    url_username: "{{ icinga_user }}"
    url_password: "{{ icinga_pass }}"
    object_name: fooservicegroup
    display_name: fooservicegroup
    append: true
